Bug 473216 - Wrong location of GeoIP.dat.gz
Wrong location of GeoIP.dat.gz
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: GeoIP (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fleming
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 01:32 EST by Ignacio Vazquez-Abrams
Modified: 2008-12-08 08:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:05:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-11-27 01:32:00 EST
fetch-geoipdata.pl has http://www.maxmind.com/download/geoip/database/GeoIP.dat.gz as the location of the data file, but it's moved to http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz.
Comment 1 Matěj Cepl 2008-11-28 15:10:03 EST
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 2 Michael Fleming 2008-11-28 18:33:38 EST
Ignacio, thanks for the bug report and thanks to Matej for following it up :-)

It's a fairly trivial one and should only affect the little Perl hack I wrote to fetch the free updated databases. Maxmind have pushed out updated library and Perl/Python extensions so I'll roll the fix into updated packages later today.

Thanks gents, microbrews headed your way.
Comment 3 Fedora Update System 2008-11-28 19:27:22 EST
GeoIP-1.4.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/GeoIP-1.4.5-2.fc10
Comment 4 Fedora Update System 2008-12-02 20:11:47 EST
GeoIP-1.4.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update GeoIP'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10509
Comment 5 A S Alam 2008-12-05 02:21:50 EST
Latest package GeoIP-1.4.5-2.fc10 has following path.
my $url      = 'http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz';

it is fixed with test version->Verfied
Comment 6 Fedora Update System 2008-12-08 08:05:43 EST
GeoIP-1.4.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.